commit:     a7fd5020e6fead93df8082cc2f3853329a34d99d
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 10 09:41:39 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Jun 10 09:44:29 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7fd5020

net-im/rocketchat-desktop-bin: add 3.8.7

Now we use the chromium-2 eclass, changes are heavily
inspired by the net-im/discord-bin ebuild

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 net-im/rocketchat-desktop-bin/Manifest             |   1 +
 .../rocketchat-desktop-bin-3.8.7.ebuild            | 105 +++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/net-im/rocketchat-desktop-bin/Manifest 
b/net-im/rocketchat-desktop-bin/Manifest
index 77abdc0119b3..a1e8aade12a4 100644
--- a/net-im/rocketchat-desktop-bin/Manifest
+++ b/net-im/rocketchat-desktop-bin/Manifest
@@ -1 +1,2 @@
 DIST rocketchat-3.8.6-linux-x86_64.rpm 62305896 BLAKE2B 
5dca26208bd965678e35a08a66d08b2fed368ccde2e991e19e6891ead9364693d0660ae3941cf3a15eb4fd3c6c18ed6f167dd33f0bfb1159fa39e0db7a31aa38
 SHA512 
0218a5cf0a897f3b0d0c80bd372e86791e47e6d60e291389b6554beb1d54e8e709eac733eb8ddf5686249521b990d6b2f6b43b8454f122aaea2ea95feb0c1565
+DIST rocketchat-3.8.7-linux-x86_64.rpm 62302012 BLAKE2B 
2e5b36191abcb783e126e92bc608716efc910151484399cbbaf2fe0837fe8a40eb5c84b71e33052c5a950adfa0851d30be2e964754b08f3a9f3754169c5dc169
 SHA512 
833abf90425b5f9d0feb28acba4559d8d410ef2f5276b03fac8c781b9eab3ae7e0eebd613bc84e28a0dfa6005778a9afd91d528b6fa67ab825564e98241548c6

diff --git a/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.8.7.ebuild 
b/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.8.7.ebuild
new file mode 100644
index 000000000000..355c5e06379d
--- /dev/null
+++ b/net-im/rocketchat-desktop-bin/rocketchat-desktop-bin-3.8.7.ebuild
@@ -0,0 +1,105 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="
+       am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he 
hi
+       hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr 
sv
+       sw ta te th tr uk vi zh-CN zh-TW
+"
+
+inherit chromium-2 desktop rpm xdg
+
+DESCRIPTION="The Ultimate Open Source Web Chat Platform"
+HOMEPAGE="https://rocket.chat";
+SRC_URI="https://github.com/RocketChat/Rocket.Chat.Electron/releases/download/${PV}/rocketchat-${PV}-linux-x86_64.rpm";
+S="${WORKDIR}"
+
+KEYWORDS="-* ~amd64"
+# Electron bundles a bunch of things
+LICENSE="
+       MIT BSD BSD-2 BSD-4 AFL-2.1 Apache-2.0 Ms-PL GPL-2 LGPL-2.1 APSL-2
+       unRAR OFL CC-BY-SA-3.0 MPL-2.0 android public-domain all-rights-reserved
+"
+SLOT="0"
+RESTRICT="bindist mirror"
+
+RDEPEND="
+       app-accessibility/at-spi2-atk:2
+       dev-libs/atk
+       dev-libs/expat
+       dev-libs/libappindicator
+       dev-libs/nspr
+       dev-libs/nss
+       media-fonts/noto-emoji
+       media-libs/alsa-lib
+       net-print/cups
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3
+       x11-libs/libnotify
+       x11-libs/libxcb
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libxkbcommon
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-libs/libXScrnSaver
+       x11-libs/pango
+"
+
+QA_PREBUILT="opt/Rocket.Chat/*"
+
+pkg_pretend() {
+       chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+       default
+       # cleanup languages
+       pushd "opt/Rocket.Chat/locales" || die
+       chromium_remove_language_paks
+       popd || die
+}
+
+src_configure() {
+       chromium_suid_sandbox_check_kernel_config
+       default
+}
+
+src_install() {
+       for size in {16,32,48,64,128,256,512}; do
+               doicon -s ${size} 
"usr/share/icons/hicolor/${size}x${size}/apps/rocketchat-desktop.png"
+       done
+
+       domenu usr/share/applications/rocketchat-desktop.desktop
+
+       local DESTDIR="/opt/Rocket.Chat"
+       pushd "opt/Rocket.Chat" || die
+
+       exeinto "${DESTDIR}"
+       doexe chrome-sandbox rocketchat-desktop *.so*
+
+       exeinto "${DESTDIR}/swiftshader"
+       doexe swiftshader/*.so*
+
+       insinto "${DESTDIR}"
+       doins *.pak *.bin *.json *.dat
+       insopts -m0755
+       doins -r locales resources
+
+       # Chrome-sandbox requires the setuid bit to be specifically set.
+       # see https://github.com/electron/electron/issues/17972
+       fperms 4755 "${DESTDIR}"/chrome-sandbox
+
+       dosym "${DESTDIR}"/rocketchat-desktop /opt/bin/rocketchat-desktop
+       popd || die
+}

Reply via email to